javax.persistence

## Class LockTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.persistence.PersistenceException
        - - javax.persistence.LockTimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class LockTimeoutException
    extends PersistenceException

Thrown by the persistence provider when an pessimistic locking conflict occurs that does not result in transaction rollback. This exception may be thrown as part of an API call, at, flush or at commit time. The current transaction, if one is active, will be not be marked for rollback.

See Also:
  Serialized Form
Since:
  Java Persistence 2.0

### Constructor Summary

Constructors
Constructor and Description
`LockTimeoutException()` Constructs a new `LockTimeoutException` exception with `null` as its detail message.
`LockTimeoutException(java.lang.Object entity)` Constructs a new `LockTimeoutException` exception with the specified object.
`LockTimeoutException(java.lang.String message)` Constructs a new `LockTimeoutException` exception with the specified detail message.
`LockTimeoutException(java.lang.String message, java.lang.Throwable cause)` Constructs a new `LockTimeoutException` exception with the specified detail message and cause.
`LockTimeoutException(java.lang.String message, java.lang.Throwable cause, java.lang.Object entity)` Constructs a new `LockTimeoutException` exception with the specified detail message, cause, and entity.
`LockTimeoutException(java.lang.Throwable cause)` Constructs a new `LockTimeoutException` exception with the specified cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObject()` Returns the object that caused this exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockTimeoutException

    public LockTimeoutException()

Constructs a new `LockTimeoutException` exception with `null` as its detail message.

#### LockTimeoutException

    public LockTimeoutException(java.lang.String message)

Constructs a new `LockTimeoutException` exception with the specified detail message.

Parameters:
  `message` - the detail message.

#### LockTimeoutException

    public LockTimeoutException(java.lang.String message,
                                java.lang.Throwable cause)

Constructs a new `LockTimeoutException` exception with the specified detail message and cause.

Parameters:
  `message` - the detail message.
  `cause` - the cause.

#### LockTimeoutException

    public LockTimeoutException(java.lang.Throwable cause)

Constructs a new `LockTimeoutException` exception with the specified cause.

Parameters:
  `cause` - the cause.

#### LockTimeoutException

    public LockTimeoutException(java.lang.Object entity)

Constructs a new `LockTimeoutException` exception with the specified object.

Parameters:
  `entity` - the entity.

#### LockTimeoutException

    public LockTimeoutException(java.lang.String message,
                                java.lang.Throwable cause,
                                java.lang.Object entity)

Constructs a new `LockTimeoutException` exception with the specified detail message, cause, and entity.

Parameters:
  `message` - the detail message.
  `cause` - the cause.
  `entity` - the entity.

### Method Detail

#### getObject

    public java.lang.Object getObject()

Returns the object that caused this exception.

Returns:
  the entity